"use strict";

exports.StoryNameDecorator = StoryNameDecorator;
var _isLokiRunning = require("@loki/is-loki-running");
var _Renderer = require("../Renderer.cjs");
var _jsxRuntime = require("react/jsx-runtime");
function StoryNameDecorator(Story, context) {
  if (!(0, _isLokiRunning.default)()) {
    return /*#__PURE__*/(0, _jsxRuntime.jsx)(Story, {});
  }
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Renderer.Renderer, {
      nodes: [{
        type: 'heading-one',
        children: [{
          text: context.name
        }]
      }, {
        type: 'divider'
      }]
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(Story, {}), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Renderer.Renderer, {
      nodes: [{
        type: 'divider',
        children: [{
          text: ''
        }]
      }]
    })]
  });
}