"use strict";

exports.ButtonBlock = ButtonBlock;
var _storyContentFormat = require("@prezly/story-content-format");
var _classnames = require("classnames");
var _jsxRuntime = require("react/jsx-runtime");
function ButtonBlock(_ref) {
  var {
    node
  } = _ref;
  var {
    href,
    label,
    layout,
    new_tab: newTab,
    variant
  } = node;
  if (!href) {
    return null;
  }
  return /*#__PURE__*/(0, _jsxRuntime.jsx)("a", {
    className: (0, _classnames.default)('prezly-slate-button-block', {
      'prezly-slate-button-block--outlined': variant === _storyContentFormat.ButtonBlockNode.Variant.OUTLINE,
      'prezly-slate-button-block--wide': layout === _storyContentFormat.ButtonBlockNode.Layout.WIDE,
      'prezly-slate-button-block--right': layout === _storyContentFormat.ButtonBlockNode.Layout.RIGHT,
      'prezly-slate-button-block--left': layout === _storyContentFormat.ButtonBlockNode.Layout.LEFT,
      'prezly-slate-button-block--center': layout === _storyContentFormat.ButtonBlockNode.Layout.CENTER
    }),
    href: href,
    rel: newTab ? 'noreferrer noopener' : undefined,
    target: newTab ? '_blank' : undefined,
    children: label
  });
}