"use strict";

exports.default = exports.WithoutHref = exports.WithWideLayoutButLongText = exports.WithWideLayout = exports.WithRightLayoutButLongText = exports.WithRightLayout = exports.WithOutlineVariant = exports.WithLeftLayoutButLongText = exports.WithLeftLayout = exports.WithDefaultVariant = exports.WithCenterLayoutButLongText = exports.WithCenterLayout = void 0;
var _storyContentFormat = require("@prezly/story-content-format");
var _ContainerDecorator = require("../../dev/ContainerDecorator.cjs");
var _StoryNameDecorator = require("../../dev/StoryNameDecorator.cjs");
var _Renderer = require("../../Renderer.cjs");
var _jsxRuntime = require("react/jsx-runtime");
var _default = exports.default = {
  title: 'Elements/ButtonBlock',
  decorators: [_ContainerDecorator.ContainerDecorator, _StoryNameDecorator.StoryNameDecorator]
};
var TEST_UUID = '3d497238-9bb3-478c-89e0-13dda44977cd';
var WithOutlineVariant = () => /*#__PURE__*/(0, _jsxRuntime.jsx)(_Renderer.Renderer, {
  nodes: [{
    type: 'button-block',
    href: 'https://prezly.com',
    new_tab: true,
    layout: _storyContentFormat.ButtonBlockNode.Layout.WIDE,
    uuid: TEST_UUID,
    label: 'Outline button',
    variant: _storyContentFormat.ButtonBlockNode.Variant.OUTLINE
  }]
});
exports.WithOutlineVariant = WithOutlineVariant;
var WithDefaultVariant = () => /*#__PURE__*/(0, _jsxRuntime.jsx)(_Renderer.Renderer, {
  nodes: [{
    type: 'button-block',
    href: 'https://prezly.com',
    new_tab: true,
    layout: _storyContentFormat.ButtonBlockNode.Layout.WIDE,
    uuid: TEST_UUID,
    label: 'Default button',
    variant: _storyContentFormat.ButtonBlockNode.Variant.DEFAULT
  }]
});
exports.WithDefaultVariant = WithDefaultVariant;
var WithLeftLayout = () => /*#__PURE__*/(0, _jsxRuntime.jsx)(_Renderer.Renderer, {
  nodes: [{
    type: 'button-block',
    href: 'https://prezly.com',
    new_tab: true,
    layout: _storyContentFormat.ButtonBlockNode.Layout.LEFT,
    uuid: TEST_UUID,
    label: 'Left layout button',
    variant: _storyContentFormat.ButtonBlockNode.Variant.DEFAULT
  }]
});
exports.WithLeftLayout = WithLeftLayout;
var WithRightLayout = () => /*#__PURE__*/(0, _jsxRuntime.jsx)(_Renderer.Renderer, {
  nodes: [{
    type: 'button-block',
    href: 'https://prezly.com',
    new_tab: true,
    layout: _storyContentFormat.ButtonBlockNode.Layout.RIGHT,
    uuid: TEST_UUID,
    label: 'Right layout button',
    variant: _storyContentFormat.ButtonBlockNode.Variant.DEFAULT
  }]
});
exports.WithRightLayout = WithRightLayout;
var WithCenterLayout = () => /*#__PURE__*/(0, _jsxRuntime.jsx)(_Renderer.Renderer, {
  nodes: [{
    type: 'button-block',
    href: 'https://prezly.com',
    new_tab: true,
    layout: _storyContentFormat.ButtonBlockNode.Layout.CENTER,
    uuid: TEST_UUID,
    label: 'Center layout button',
    variant: _storyContentFormat.ButtonBlockNode.Variant.DEFAULT
  }]
});
exports.WithCenterLayout = WithCenterLayout;
var WithWideLayout = () => /*#__PURE__*/(0, _jsxRuntime.jsx)(_Renderer.Renderer, {
  nodes: [{
    type: 'button-block',
    href: 'https://prezly.com',
    new_tab: true,
    layout: _storyContentFormat.ButtonBlockNode.Layout.WIDE,
    uuid: TEST_UUID,
    label: 'Wide layout button',
    variant: _storyContentFormat.ButtonBlockNode.Variant.DEFAULT
  }]
});
exports.WithWideLayout = WithWideLayout;
var WithoutHref = () => /*#__PURE__*/(0, _jsxRuntime.jsx)(_Renderer.Renderer, {
  nodes: [{
    type: 'button-block',
    href: '',
    new_tab: true,
    layout: _storyContentFormat.ButtonBlockNode.Layout.WIDE,
    uuid: TEST_UUID,
    label: 'Without href button',
    variant: _storyContentFormat.ButtonBlockNode.Variant.DEFAULT
  }]
});
exports.WithoutHref = WithoutHref;
var WithCenterLayoutButLongText = () => /*#__PURE__*/(0, _jsxRuntime.jsx)(_Renderer.Renderer, {
  nodes: [{
    type: 'button-block',
    href: 'https://prezly.com',
    new_tab: true,
    layout: _storyContentFormat.ButtonBlockNode.Layout.CENTER,
    uuid: TEST_UUID,
    label: 'Some long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long text',
    variant: _storyContentFormat.ButtonBlockNode.Variant.DEFAULT
  }]
});
exports.WithCenterLayoutButLongText = WithCenterLayoutButLongText;
var WithWideLayoutButLongText = () => /*#__PURE__*/(0, _jsxRuntime.jsx)(_Renderer.Renderer, {
  nodes: [{
    type: 'button-block',
    href: 'https://prezly.com',
    new_tab: true,
    layout: _storyContentFormat.ButtonBlockNode.Layout.WIDE,
    uuid: TEST_UUID,
    label: 'Some long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long text',
    variant: _storyContentFormat.ButtonBlockNode.Variant.DEFAULT
  }]
});
exports.WithWideLayoutButLongText = WithWideLayoutButLongText;
var WithRightLayoutButLongText = () => /*#__PURE__*/(0, _jsxRuntime.jsx)(_Renderer.Renderer, {
  nodes: [{
    type: 'button-block',
    href: 'https://prezly.com',
    new_tab: true,
    layout: _storyContentFormat.ButtonBlockNode.Layout.RIGHT,
    uuid: TEST_UUID,
    label: 'Some long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long text',
    variant: _storyContentFormat.ButtonBlockNode.Variant.DEFAULT
  }]
});
exports.WithRightLayoutButLongText = WithRightLayoutButLongText;
var WithLeftLayoutButLongText = () => /*#__PURE__*/(0, _jsxRuntime.jsx)(_Renderer.Renderer, {
  nodes: [{
    type: 'button-block',
    href: 'https://prezly.com',
    new_tab: true,
    layout: _storyContentFormat.ButtonBlockNode.Layout.LEFT,
    uuid: TEST_UUID,
    label: 'Some long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long text',
    variant: _storyContentFormat.ButtonBlockNode.Variant.DEFAULT
  }]
});
exports.WithLeftLayoutButLongText = WithLeftLayoutButLongText;