"use strict";

exports.default = exports.RightAligned = exports.NoIcon = exports.CenterAligned = exports.Callout = void 0;
var _StoryNameDecorator = require("../../dev/StoryNameDecorator.cjs");
var _Renderer = require("../../Renderer.cjs");
var _jsxRuntime = require("react/jsx-runtime");
var _default = exports.default = {
  title: 'Elements/Callout',
  decorators: [_StoryNameDecorator.StoryNameDecorator]
};
var TEXT = {
  text: 'I love how Prezly has been created by people who really understand the needs of PR professionals. Its features and functionality are just right for our business.'
};
var Callout = () => /*#__PURE__*/(0, _jsxRuntime.jsx)(_Renderer.Renderer, {
  nodes: [{
    type: 'callout',
    icon: '💡',
    children: [TEXT]
  }]
});
exports.Callout = Callout;
var CenterAligned = () => /*#__PURE__*/(0, _jsxRuntime.jsx)(_Renderer.Renderer, {
  nodes: [{
    type: 'callout',
    icon: '⚠️',
    align: 'center',
    children: [TEXT]
  }]
});
exports.CenterAligned = CenterAligned;
var RightAligned = () => /*#__PURE__*/(0, _jsxRuntime.jsx)(_Renderer.Renderer, {
  nodes: [{
    type: 'callout',
    icon: '❌',
    align: 'right',
    children: [TEXT]
  }]
});
exports.RightAligned = RightAligned;
var NoIcon = () => /*#__PURE__*/(0, _jsxRuntime.jsx)(_Renderer.Renderer, {
  nodes: [{
    type: 'callout',
    children: [TEXT]
  }]
});
exports.NoIcon = NoIcon;