"use strict";

exports.default = exports.SignatureWithoutAvatar = exports.Signature = exports.CardWithoutAvatar = exports.Card = void 0;
var _StoryNameDecorator = require("../../dev/StoryNameDecorator.cjs");
var _Renderer = require("../../Renderer.cjs");
var _jsxRuntime = require("react/jsx-runtime");
var _default = exports.default = {
  title: 'Elements/Contact',
  decorators: [_StoryNameDecorator.StoryNameDecorator]
};
var Card = () => /*#__PURE__*/(0, _jsxRuntime.jsx)(_Renderer.Renderer, {
  nodes: [{
    type: 'contact',
    children: [{
      text: ''
    }],
    uuid: 'f860590b-db97-44de-a59c-12848956b559',
    reference: 'a456b750-65cb-49da-8f4a-7f53906bce28',
    contact: {
      avatar_url: 'https://ucarecdn.com/da3ea88f-ddfe-4593-a6e4-07c9f9467d5e/PhilipCooper.jpg',
      company: 'TechCrunch',
      description: 'PR Manager',
      email: 'phil@techcrunch.com',
      facebook: 'https://facebook.com/PhilipCooper',
      mobile: '+1 555 012 751',
      name: 'Philip Cooper',
      phone: '+1 555 991 229',
      twitter: '@PhilipCooper',
      website: 'https://techcrunch.com/',
      address: 'Earth'
    },
    layout: 'card',
    show_avatar: true
  }]
});
exports.Card = Card;
var CardWithoutAvatar = () => /*#__PURE__*/(0, _jsxRuntime.jsx)(_Renderer.Renderer, {
  nodes: [{
    type: 'contact',
    children: [{
      text: ''
    }],
    uuid: 'f860590b-db97-44de-a59c-12848956b559',
    reference: 'a456b750-65cb-49da-8f4a-7f53906bce28',
    contact: {
      avatar_url: 'https://ucarecdn.com/da3ea88f-ddfe-4593-a6e4-07c9f9467d5e/PhilipCooper.jpg',
      company: 'TechCrunch',
      description: 'PR Manager',
      email: 'phil@techcrunch.com',
      facebook: 'https://facebook.com/PhilipCooper',
      mobile: '+1 555 012 751',
      name: 'Philip Cooper',
      phone: '+1 555 991 229',
      twitter: '@PhilipCooper',
      website: 'https://techcrunch.com/',
      address: 'Earth'
    },
    layout: 'card',
    show_avatar: false
  }]
});
exports.CardWithoutAvatar = CardWithoutAvatar;
var Signature = () => /*#__PURE__*/(0, _jsxRuntime.jsx)(_Renderer.Renderer, {
  nodes: [{
    type: 'contact',
    children: [{
      text: ''
    }],
    uuid: 'f860590b-db97-44de-a59c-12848956b559',
    reference: 'a456b750-65cb-49da-8f4a-7f53906bce28',
    contact: {
      avatar_url: 'https://ucarecdn.com/da3ea88f-ddfe-4593-a6e4-07c9f9467d5e/PhilipCooper.jpg',
      company: 'TechCrunch',
      description: 'PR Manager',
      email: 'phil@techcrunch.com',
      facebook: 'https://facebook.com/PhilipCooper',
      mobile: '+1 555 012 751',
      name: 'Philip Cooper',
      phone: '+1 555 991 229',
      twitter: '@PhilipCooper',
      website: 'https://techcrunch.com/',
      address: 'Earth'
    },
    layout: 'signature',
    show_avatar: true
  }]
});
exports.Signature = Signature;
var SignatureWithoutAvatar = () => /*#__PURE__*/(0, _jsxRuntime.jsx)(_Renderer.Renderer, {
  nodes: [{
    type: 'contact',
    children: [{
      text: ''
    }],
    uuid: 'f860590b-db97-44de-a59c-12848956b559',
    reference: 'a456b750-65cb-49da-8f4a-7f53906bce28',
    contact: {
      avatar_url: 'https://ucarecdn.com/da3ea88f-ddfe-4593-a6e4-07c9f9467d5e/PhilipCooper.jpg',
      company: 'TechCrunch',
      description: 'PR Manager',
      email: 'phil@techcrunch.com',
      facebook: 'https://facebook.com/PhilipCooper',
      mobile: '+1 555 012 751',
      name: 'Philip Cooper',
      phone: '+1 555 991 229',
      twitter: '@PhilipCooper',
      website: 'https://techcrunch.com/',
      address: 'Earth'
    },
    layout: 'signature',
    show_avatar: false
  }]
});
exports.SignatureWithoutAvatar = SignatureWithoutAvatar;