"use strict";

exports.getMailtoHref = getMailtoHref;
Object.defineProperty(exports, "getSocialHandles", {
  enumerable: true,
  get: function get() {
    return _getSocialHandles.getSocialHandles;
  }
});
exports.getTelHref = getTelHref;
Object.defineProperty(exports, "getUrl", {
  enumerable: true,
  get: function get() {
    return _getUrl.getUrl;
  }
});
var _getSocialHandles = require("./getSocialHandles.cjs");
var _getUrl = require("./getUrl.cjs");
function getMailtoHref(email) {
  return "mailto:".concat(email);
}
function getTelHref(phone) {
  return "tel:".concat(phone);
}