"use strict";

exports.default = exports.Alignment = void 0;
var _StoryNameDecorator = require("../../dev/StoryNameDecorator.cjs");
var _Renderer = require("../../Renderer.cjs");
var _jsxRuntime = require("react/jsx-runtime");
var _default = exports.default = {
  title: 'Elements/Heading',
  decorators: [_StoryNameDecorator.StoryNameDecorator]
};
var Alignment = () => /*#__PURE__*/(0, _jsxRuntime.jsx)(_Renderer.Renderer, {
  nodes: [{
    type: 'heading-one',
    align: 'center',
    children: [{
      text: 'Headings can be centered too'
    }]
  }, {
    type: 'heading-two',
    align: 'right',
    children: [{
      text: '... or right-aligned!'
    }]
  }]
});
exports.Alignment = Alignment;