"use strict";

exports.default = exports.BlockQuote = exports.Alignment = void 0;
var _StoryNameDecorator = require("../../dev/StoryNameDecorator.cjs");
var _Renderer = require("../../Renderer.cjs");
var _jsxRuntime = require("react/jsx-runtime");
var _default = exports.default = {
  title: 'Elements/Quote',
  decorators: [_StoryNameDecorator.StoryNameDecorator]
};
var BlockQuote = () => /*#__PURE__*/(0, _jsxRuntime.jsx)(_Renderer.Renderer, {
  nodes: [{
    type: 'block-quote',
    children: [{
      text: 'I love how Prezly has been created by people who really understand the needs of PR professionals. Its features and functionality are just right for our business.'
    }]
  }]
});
exports.BlockQuote = BlockQuote;
var Alignment = () => /*#__PURE__*/(0, _jsxRuntime.jsx)(_Renderer.Renderer, {
  nodes: [{
    type: 'block-quote',
    align: 'center',
    children: [{
      text: 'Same goes for blockquotes'
    }]
  }]
});
exports.Alignment = Alignment;