"use strict";

exports.TableCell = TableCell;
var _classnames = require("classnames");
var _jsxRuntime = require("react/jsx-runtime");
function TableCell(_ref) {
  var {
    children,
    node
  } = _ref;
  var Cell = node.isHeader ? 'th' : 'td';
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(Cell, {
    className: (0, _classnames.default)('prezly-slate-table-cell', {
      'prezly-slate-table-cell--header': node.isHeader
    }),
    colSpan: node.colspan,
    rowSpan: node.rowspan,
    children: children
  });
}