"use strict";

exports.stringifyNode = stringifyNode;
var _storyContentFormat = require("@prezly/story-content-format");
function stringifyNode(node) {
  if (_storyContentFormat.Text.isText(node)) {
    return node.text;
  }
  if (_storyContentFormat.ComposedElement.isComposedElement(node)) {
    return node.children.map(stringifyNode).join('');
  }
  return '';
}