import isLokiRunning from '@loki/is-loki-running';
import { Renderer } from "../Renderer.mjs";
import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
export function StoryNameDecorator(Story, context) {
  if (!isLokiRunning()) {
    return /*#__PURE__*/_jsx(Story, {});
  }
  return /*#__PURE__*/_jsxs(_Fragment, {
    children: [/*#__PURE__*/_jsx(Renderer, {
      nodes: [{
        type: 'heading-one',
        children: [{
          text: context.name
        }]
      }, {
        type: 'divider'
      }]
    }), /*#__PURE__*/_jsx(Story, {}), /*#__PURE__*/_jsx(Renderer, {
      nodes: [{
        type: 'divider',
        children: [{
          text: ''
        }]
      }]
    })]
  });
}