import { StoryNameDecorator } from "../../dev/StoryNameDecorator.mjs";
import { Renderer } from "../../Renderer.mjs";
import { jsx as _jsx } from "react/jsx-runtime";
export default {
  title: 'Elements/Divider',
  decorators: [StoryNameDecorator]
};
export var Divider = () => /*#__PURE__*/_jsx(Renderer, {
  nodes: [{
    type: 'paragraph',
    align: 'center',
    children: [{
      text: 'Content before divider'
    }]
  }, {
    type: 'divider',
    children: [{
      text: ''
    }]
  }, {
    type: 'paragraph',
    align: 'center',
    children: [{
      text: 'Content after divider'
    }]
  }]
});