var UNITS = ['bytes', 'KB', 'MB', 'GB'];
export function formatBytes(bytes) {
  var l = 0;
  var n = typeof bytes === 'number' ? bytes : parseInt(bytes, 10) || 0;
  while (n >= 1024) {
    n /= 1024;
    l += 1;
  }
  return "".concat(n.toFixed(n >= 10 || l < 1 ? 0 : 1), " ").concat(UNITS[l]);
}