import { EmbedNode } from '@prezly/story-content-format';
import type { HTMLAttributes } from 'react';
import './Embed.scss';
interface Props extends Omit<HTMLAttributes<HTMLElement>, 'children'> {
    node: EmbedNode;
    onPlay?: () => void;
    showAsScreenshot?: boolean;
}
export declare function Embed({ className, node, onPlay, showAsScreenshot, ...props }: Props): import("react/jsx-runtime").JSX.Element;
export {};
