interface Image {
    aspectRatio: number;
}
interface Parameters {
    idealHeight: number;
    images: Image[];
    viewportWidth: number;
}
interface Tile {
    /**
     * Image index in the original images array.
     */
    index: number;
    width: number;
    height: number;
}
type Layout = Tile[][];
export declare function calculateLayout({ idealHeight, images, viewportWidth }: Parameters): Layout;
export {};
