import type { UploadcareImage } from '@prezly/uploadcare';
interface LightboxNavigation {
    image: UploadcareImage | null;
    hasNext: boolean;
    hasPrevious: boolean;
    onOpen: (image: UploadcareImage) => void;
    onClose: () => void;
    onNext: () => void;
    onPrevious: () => void;
}
export declare function useLightboxNavigation(images: UploadcareImage[]): LightboxNavigation;
export {};
