import type { ImageNode } from '@prezly/story-content-format';
import { UploadcareImage } from '@prezly/uploadcare';
import type { HTMLAttributes } from 'react';
import './Image.scss';
interface Props extends HTMLAttributes<HTMLElement> {
    node: ImageNode;
    onDownload?: (image: UploadcareImage) => void;
    onPreviewOpen?: (image: UploadcareImage) => void;
}
export declare function Image({ children, className, node, onDownload, onPreviewOpen, ...props }: Props): import("react/jsx-runtime").JSX.Element;
export {};
