"use strict";

exports.SocialField = SocialField;
var _classnames = require("classnames");
var _jsxRuntime = require("react/jsx-runtime");
function SocialField(_ref) {
  var {
    children,
    className,
    href,
    Icon
  } = _ref;
  return /*#__PURE__*/(0, _jsxRuntime.jsx)("li", {
    className: (0, _classnames.default)('prezly-slate-social-field', className),
    title: children,
    children: /*#__PURE__*/(0, _jsxRuntime.jsxs)("a", {
      className: "prezly-slate-social-field__link",
      href: href,
      rel: "noreferrer noopener",
      target: "_blank",
      children: [Icon && /*#__PURE__*/(0, _jsxRuntime.jsx)(Icon, {
        "aria-hidden": "true",
        className: "prezly-slate-social-field__icon"
      }), children && /*#__PURE__*/(0, _jsxRuntime.jsx)("span", {
        className: "prezly-slate-social-field__value",
        children: children
      })]
    })
  });
}