"use strict";

exports.default = exports.Divider = void 0;
var _StoryNameDecorator = require("../../dev/StoryNameDecorator.cjs");
var _Renderer = require("../../Renderer.cjs");
var _jsxRuntime = require("react/jsx-runtime");
var _default = exports.default = {
  title: 'Elements/Divider',
  decorators: [_StoryNameDecorator.StoryNameDecorator]
};
var Divider = () => /*#__PURE__*/(0, _jsxRuntime.jsx)(_Renderer.Renderer, {
  nodes: [{
    type: 'paragraph',
    align: 'center',
    children: [{
      text: 'Content before divider'
    }]
  }, {
    type: 'divider',
    children: [{
      text: ''
    }]
  }, {
    type: 'paragraph',
    align: 'center',
    children: [{
      text: 'Content after divider'
    }]
  }]
});
exports.Divider = Divider;