"use strict";

exports.GalleryImage = GalleryImage;
var _classnames = require("classnames");
var _index = require("../../components/index.cjs");
var _jsxRuntime = require("react/jsx-runtime");
function GalleryImage(_ref) {
  var {
    originalImage,
    previewImage,
    onClick: _onClick,
    rounded = false,
    style
  } = _ref;
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_index.Rollover, {
    id: "gallery-image-".concat(originalImage.uuid),
    className: (0, _classnames.default)('prezly-slate-gallery-image', {
      'prezly-slate-gallery-image--with-border-radius': rounded
    }),
    caption: originalImage.caption,
    href: originalImage.cdnUrl,
    onClick: () => _onClick(originalImage),
    style: style,
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_index.Media, {
      className: "prezly-slate-gallery-image__media",
      image: previewImage
    })
  });
}