"use strict";

exports.IMAGE_SIZE = exports.IMAGE_PADDING = exports.DEFAULT_GALLERY_WIDTH_SSR = void 0;
var _storyContentFormat = require("@prezly/story-content-format");
var DEFAULT_GALLERY_WIDTH_SSR = exports.DEFAULT_GALLERY_WIDTH_SSR = {
  [_storyContentFormat.GalleryNode.Layout.CONTAINED]: 720,
  [_storyContentFormat.GalleryNode.Layout.EXPANDED]: 840,
  [_storyContentFormat.GalleryNode.Layout.FULL_WIDTH]: 1280
};
var IMAGE_PADDING = exports.IMAGE_PADDING = {
  [_storyContentFormat.GalleryNode.Padding.SMALL]: 0,
  [_storyContentFormat.GalleryNode.Padding.MEDIUM]: 2,
  [_storyContentFormat.GalleryNode.Padding.LARGE]: 8
};
var IMAGE_SIZE = exports.IMAGE_SIZE = {
  [_storyContentFormat.GalleryNode.ImageSize.XSMALL]: 110,
  [_storyContentFormat.GalleryNode.ImageSize.SMALL]: 200,
  [_storyContentFormat.GalleryNode.ImageSize.MEDIUM]: 300,
  [_storyContentFormat.GalleryNode.ImageSize.LARGE]: 450,
  [_storyContentFormat.GalleryNode.ImageSize.XLARGE]: 1000
};