"use strict";

exports.openWindow = openWindow;
function openWindow(url, width, height) {
  var result = null;
  if (width && height) {
    var left = (document.documentElement.clientWidth - width) / 2;
    var top = (document.documentElement.clientHeight - height) / 2;
    var options = {
      status: 1,
      resizable: 'yes',
      width,
      height,
      top,
      left
    };
    var optionsString = Object.entries(options).map(entry => entry.join('=')).join(',');
    result = window.open(url, '', optionsString);
  } else {
    result = window.open(url);
  }
  if (result) {
    result.focus();
  }
  return result;
}