import { StoryNameDecorator } from "../../dev/StoryNameDecorator.mjs";
import { Renderer } from "../../Renderer.mjs";
import { jsx as _jsx } from "react/jsx-runtime";
export default {
  title: 'Elements/Callout',
  decorators: [StoryNameDecorator]
};
var TEXT = {
  text: 'I love how Prezly has been created by people who really understand the needs of PR professionals. Its features and functionality are just right for our business.'
};
export var Callout = () => /*#__PURE__*/_jsx(Renderer, {
  nodes: [{
    type: 'callout',
    icon: '💡',
    children: [TEXT]
  }]
});
export var CenterAligned = () => /*#__PURE__*/_jsx(Renderer, {
  nodes: [{
    type: 'callout',
    icon: '⚠️',
    align: 'center',
    children: [TEXT]
  }]
});
export var RightAligned = () => /*#__PURE__*/_jsx(Renderer, {
  nodes: [{
    type: 'callout',
    icon: '❌',
    align: 'right',
    children: [TEXT]
  }]
});
export var NoIcon = () => /*#__PURE__*/_jsx(Renderer, {
  nodes: [{
    type: 'callout',
    children: [TEXT]
  }]
});