import { CoverageCard } from "../../components/index.mjs";
import { jsx as _jsx } from "react/jsx-runtime";
export function Coverage(_ref) {
  var {
    coverage,
    node,
    renderDate
  } = _ref;
  if (!coverage) {
    return null;
  }
  return /*#__PURE__*/_jsx(CoverageCard, {
    className: "prezly-slate-coverage",
    coverage: coverage,
    id: "coverage-".concat(node.uuid),
    layout: node.layout,
    newTab: node.new_tab,
    renderDate: renderDate,
    withThumbnail: node.show_thumbnail
  });
}