import classNames from 'classnames';
import { jsx as _jsx } from "react/jsx-runtime";
export function TableCell(_ref) {
  var {
    children,
    node
  } = _ref;
  var Cell = node.isHeader ? 'th' : 'td';
  return /*#__PURE__*/_jsx(Cell, {
    className: classNames('prezly-slate-table-cell', {
      'prezly-slate-table-cell--header': node.isHeader
    }),
    colSpan: node.colspan,
    rowSpan: node.rowspan,
    children: children
  });
}