import { ComposedElement, Text } from '@prezly/story-content-format';
export function stringifyNode(node) {
  if (Text.isText(node)) {
    return node.text;
  }
  if (ComposedElement.isComposedElement(node)) {
    return node.children.map(stringifyNode).join('');
  }
  return '';
}