import type { UploadcareImage } from '@prezly/uploadcare';
import type { ReactNode } from 'react';
import './Lightbox.scss';
interface Props {
    children?: ReactNode;
    className?: string;
    image: UploadcareImage | null;
    isNextEnabled?: boolean;
    isPreviousEnabled?: boolean;
    onClose: () => void;
    onDownload?: (image: UploadcareImage) => void;
    onNext?: () => void;
    onOpen?: (image: UploadcareImage) => void;
    onPrevious?: () => void;
    previewImage?: (image: UploadcareImage) => UploadcareImage;
    title?: string;
}
export declare function Lightbox({ children, className, image, isNextEnabled, isPreviousEnabled, onClose, onDownload, onNext, onOpen, onPrevious, previewImage, title, }: Props): import("react/jsx-runtime").JSX.Element | null;
export {};
