import type { GalleryNode } from '@prezly/story-content-format';
import { UploadcareImage } from '@prezly/uploadcare';
import type { HTMLAttributes } from 'react';
import './Gallery.scss';
interface Props extends HTMLAttributes<HTMLElement> {
    node: GalleryNode;
    onImageDownload?: (image: UploadcareImage) => void;
    onPreviewOpen?: (image: UploadcareImage) => void;
}
export declare function Gallery({ className, node, onImageDownload, onPreviewOpen, ...props }: Props): import("react/jsx-runtime").JSX.Element;
export {};
