import type { Node } from '@prezly/story-content-format';
/**
 * Stringify Slate node for debug purposes (e.g. error messages).
 *
 * Node structure will be dumped as JSON-like output, with "text" and
 * "children" properties collapsed to `...` to keep the message clean.
 */
export declare function describeNode(node: Node): string;
