import type { Node } from '@prezly/story-content-format';
import type { ComponentType, ReactNode } from 'react';
type Props<T extends Node, P extends object> = {
    match: (node: Node) => node is T;
    component: ComponentType<{
        node: T;
        children?: ReactNode;
    } & Omit<P, 'node'>>;
};
export declare function Component<T extends Node, P extends {
    node?: never;
}>(_: Props<T, P> & P): null;
export {};
